## pd-jmmmp 0.1.1

=== Makefile ===
## Pd library template version 1.0.6
# For instructions on how to use this template, see:
#  http://puredata.info/docs/developer/MakefileTemplate
LIBRARY_NAME = jmmmp

# add your .c source files, one object per file, to the SOURCES
# variable, help files will be included automatically
SOURCES = 

# list all pd objects (i.e. myobject.pd) files here, and their helpfiles will
# be included automatically
PDOBJECTS = appent.pd ardourjack-gui.pd array+.pd array-edit.pd bezier.pd but.pd butt.pd clock.pd dacm~.pd datei-o.pd datei-r.pd datei-w.pd dsp01.pd expr_scale.pd f+.pd lbang.pd liner+~.pd liner~.pd m-i.pd maat~.pd mat~.pd metrum.pd met~.pd mk.pd oscD.pd oscS.pd pd-colors.pd prepent.pd rec-name.pd sguigot.pd sliders.pd snaps~.pd spectrogram~.pd stoppuhr.pd stoppuhr-clock.pd tastin.pd uhr.pd

# example patches and related files, in the 'examples' subfolder
EXAMPLES = ardour_icon_48px.gif computer_keyboard.png computer_keyboard_active.png crossfade-in-S1.png crossfade-in-S2.png crossfade-in-constant-power.png crossfade-in-fast-cut.png crossfade-in-linear.png crossfade-in-long-cut.png crossfade-in-short-cut.png crossfade-in-slow-cut.png crossfade-out-S1.png crossfade-out-S2.png crossfade-out-constant-power.png crossfade-out-fast-cut.png crossfade-out-linear.png crossfade-out-long-cut.png crossfade-out-short-cut.png crossfade-out-slow-cut.png fader_belt.png fader_belt_h.png hide.png nudge_left.png nudge_right.png record_normal_red.gif record_tape_red.png strip_width.png transport_end.gif transport_loop.gif transport_play.gif transport_range.gif transport_record.gif transport_start.gif transport_stop.gif zoom_full.png zoom_in.png zoom_out.png 

# manuals and related files, in the 'manual' subfolder
MANUAL = 

# if you want to include any other files in the source and binary tarballs,
# list them here.  This can be anything from header files, test patches,
# documentation, etc.  README.txt and LICENSE.txt are required and therefore
# automatically included
EXTRA_DIST = 



#------------------------------------------------------------------------------#
#
# things you might need to edit if you are using other C libraries
#
#------------------------------------------------------------------------------#

# -I"$(PD_INCLUDE)/pd" supports the header location for 0.43
CFLAGS = -I"$(PD_INCLUDE)/pd" -Wall -W -g
LDFLAGS =  
LIBS = 

#------------------------------------------------------------------------------#
#
# you shouldn't need to edit anything below here, if we did it right :)
#
#------------------------------------------------------------------------------#

# get library version from meta file
LIBRARY_VERSION = $(shell sed -n 's|^\#X text [0-9][0-9]* [0-9][0-9]* VERSION \(.*\);|\1|p' $(LIBRARY_NAME)-meta.pd)

CFLAGS += -DPD -DVERSION='"$(LIBRARY_VERSION)"'

PD_INCLUDE = $(PD_PATH)/include
# where to install the library, overridden below depending on platform
prefix = /usr/local
libdir = $(prefix)/lib
pkglibdir = $(libdir)/pd-externals
objectsdir = $(pkglibdir)

INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -p -m 644
INSTALL_DATA = $(INSTALL) -p -m 644
INSTALL_DIR     = $(INSTALL) -p -m 755 -d

ALLSOURCES := $(SOURCES) $(SOURCES_android) $(SOURCES_cygwin) $(SOURCES_macosx) \
	         $(SOURCES_iphoneos) $(SOURCES_linux) $(SOURCES_windows)

DISTDIR=$(LIBRARY_NAME)-$(LIBRARY_VERSION)
ORIGDIR=pd-$(LIBRARY_NAME:~=)_$(LIBRARY_VERSION)

UNAME := $(shell uname -s)
ifeq ($(UNAME),Darwin)
  CPU := $(shell uname -p)
  ifeq ($(CPU),arm) # iPhone/iPod Touch
    SOURCES += $(SOURCES_iphoneos)
    EXTENSION = pd_darwin
    OS = iphoneos
    PD_PATH = /Applications/Pd-extended.app/Contents/Resources
    IPHONE_BASE=/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin
    CC=$(IPHONE_BASE)/gcc
    CPP=$(IPHONE_BASE)/cpp
    CXX=$(IPHONE_BASE)/g++
    ISYSROOT = -isysroot /Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS3.0.sdk
    IPHONE_CFLAGS = -miphoneos-version-min=3.0 $(ISYSROOT) -arch armv6
    OPT_CFLAGS = -fast -funroll-loops -fomit-frame-pointer
	CFLAGS := $(IPHONE_CFLAGS) $(OPT_CFLAGS) $(CFLAGS)
    LDFLAGS += -arch armv6 -bundle -undefined dynamic_lookup $(ISYSROOT)
    LIBS += -lc 
    STRIP = strip -x
    DISTBINDIR=$(DISTDIR)-$(OS)
  else # Mac OS X
    SOURCES += $(SOURCES_macosx)
    EXTENSION = pd_darwin
    OS = macosx
    PD_PATH = /Applications/Pd-extended.app/Contents/Resources
    OPT_CFLAGS = -ftree-vectorize -ftree-vectorizer-verbose=2 -fast
# build universal 32-bit on 10.4 and 32/64 on newer
    ifeq ($(shell uname -r | sed 's|\([0-9][0-9]*\)\.[0-9][0-9]*\.[0-9][0-9]*|\1|'), 8)
      FAT_FLAGS = -arch ppc -arch i386 -mmacosx-version-min=10.4
    else
      FAT_FLAGS = -arch ppc -arch i386 -arch x86_64 -mmacosx-version-min=10.4
      SOURCES += $(SOURCES_iphoneos)
    endif
    CFLAGS += $(FAT_FLAGS) -fPIC -I/sw/include
    LDFLAGS += $(FAT_FLAGS) -bundle -undefined dynamic_lookup -L/sw/lib
    # if the 'pd' binary exists, check the linking against it to aid with stripping
    LDFLAGS += $(shell test -e $(PD_PATH)/bin/pd && echo -bundle_loader $(PD_PATH)/bin/pd)
    LIBS += -lc 
    STRIP = strip -x
    DISTBINDIR=$(DISTDIR)-$(OS)
# install into ~/Library/Pd on Mac OS X since /usr/local isn't used much
    pkglibdir=$(HOME)/Library/Pd
  endif
endif
ifeq ($(UNAME),Linux)
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  CFLAGS += -fPIC
  LDFLAGS += -Wl,--export-dynamic  -shared -fPIC
  LIBS += -lc
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),GNU)
  # GNU/Hurd, should work like GNU/Linux for basically all externals
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  CFLAGS += -fPIC
  LDFLAGS += -Wl,--export-dynamic  -shared -fPIC
  LIBS += -lc
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),GNU/kFreeBSD)
  # Debian GNU/kFreeBSD, should work like GNU/Linux for basically all externals
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  CFLAGS += -fPIC
  LDFLAGS += -Wl,--export-dynamic  -shared -fPIC
  LIBS += -lc
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq (CYGWIN,$(findstring CYGWIN,$(UNAME)))
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_cygwin)
  EXTENSION = dll
  OS = cygwin
  PD_PATH = $(cygpath $(PROGRAMFILES))/pd
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  CFLAGS += 
  LDFLAGS += -Wl,--export-dynamic -shared -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin"
  LIBS += -lc -lpd
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)
endif
ifeq (MINGW,$(findstring MINGW,$(UNAME)))
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_windows)
  EXTENSION = dll
  OS = windows
  PD_PATH = $(shell cd "$(PROGRAMFILES)"/pd && pwd)
  OPT_CFLAGS = -O3 -funroll-loops -fomit-frame-pointer
  CFLAGS += -mms-bitfields
  LDFLAGS += -s -shared -Wl,--enable-auto-import
  LIBS += -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin" -L"$(PD_PATH)/obj" -lpd -lwsock32 -lkernel32 -luser32 -lgdi32
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)
endif

# in case somebody manually set the HELPPATCHES above
HELPPATCHES ?= $(SOURCES:.c=-help.pd) $(PDOBJECTS:.pd=-help.pd)

CFLAGS += $(OPT_CFLAGS)


.PHONY = install libdir_install single_install install-doc install-exec install-examples install-manual clean dist etags $(LIBRARY_NAME)

all: $(SOURCES:.c=.$(EXTENSION))

%.o: %.c
	$(CC) $(CFLAGS) -o "$*.o" -c "$*.c"

%.$(EXTENSION): %.o
	$(CC) $(LDFLAGS) -o "$*.$(EXTENSION)" "$*.o"  $(LIBS)
	chmod a-x "$*.$(EXTENSION)"

# this links everything into a single binary file
$(LIBRARY_NAME): $(SOURCES:.c=.o) $(LIBRARY_NAME).o
	$(CC) $(LDFLAGS) -o $(LIBRARY_NAME).$(EXTENSION) $(SOURCES:.c=.o) $(LIBRARY_NAME).o $(LIBS)
	chmod a-x $(LIBRARY_NAME).$(EXTENSION)

install: libdir_install

# The meta and help files are explicitly installed to make sure they are
# actually there.  Those files are not optional, then need to be there.
libdir_install: $(SOURCES:.c=.$(EXTENSION)) install-doc install-examples install-manual
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_DATA) $(LIBRARY_NAME)-meta.pd \
		$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(SOURCES))" || (\
		$(INSTALL_PROGRAM) $(SOURCES:.c=.$(EXTENSION)) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME) && \
		$(STRIP) $(addprefix $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/,$(SOURCES:.c=.$(EXTENSION))))
	test -z "$(strip $(PDOBJECTS))" || \
		$(INSTALL_DATA) $(PDOBJECTS) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)

# install library linked as single binary
single_install: $(LIBRARY_NAME) install-doc install-exec
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_PROGRAM) $(LIBRARY_NAME).$(EXTENSION) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(STRIP) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/$(LIBRARY_NAME).$(EXTENSION)

install-doc:
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(SOURCES) $(PDOBJECTS))" || \
		$(INSTALL_DATA) $(HELPPATCHES) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_DATA) README.txt $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/README.txt
	$(INSTALL_DATA) LICENSE.txt $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/LICENSE.txt

install-examples:
	test -z "$(strip $(EXAMPLES))" || \
		$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/examples && \
		for file in $(EXAMPLES); do \
			$(INSTALL_DATA) examples/$$file $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/examples; \
		done

install-manual:
	test -z "$(strip $(MANUAL))" || \
		$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/manual && \
		for file in $(MANUAL); do \
			$(INSTALL_DATA) manual/$$file $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/manual; \
		done


clean:
	-rm -f -- $(SOURCES:.c=.o) $(SOURCES_LIB:.c=.o)
	-rm -f -- $(SOURCES:.c=.$(EXTENSION))
	-rm -f -- $(LIBRARY_NAME).o
	-rm -f -- $(LIBRARY_NAME).$(EXTENSION)

distclean: clean
	-rm -f -- $(DISTBINDIR).tar.gz
	-rm -rf -- $(DISTBINDIR)
	-rm -f -- $(DISTDIR).tar.gz
	-rm -rf -- $(DISTDIR)
	-rm -f -- $(ORIGDIR).tar.gz
	-rm -rf -- $(ORIGDIR)


$(DISTBINDIR):
	$(INSTALL_DIR) $(DISTBINDIR)

libdir: all $(DISTBINDIR)
	$(INSTALL_DATA) $(LIBRARY_NAME)-meta.pd  $(DISTBINDIR)
	$(INSTALL_DATA) $(SOURCES)  $(DISTBINDIR)
	$(INSTALL_DATA) $(HELPPATCHES) $(DISTBINDIR)
	test -z "$(strip $(EXTRA_DIST))" || \
		$(INSTALL_DATA) $(EXTRA_DIST)    $(DISTBINDIR)
#	tar --exclude-vcs -czpf $(DISTBINDIR).tar.gz $(DISTBINDIR)

$(DISTDIR):
	$(INSTALL_DIR) $(DISTDIR)

$(ORIGDIR):
	$(INSTALL_DIR) $(ORIGDIR)

dist: $(DISTDIR)
	$(INSTALL_DATA) Makefile  $(DISTDIR)
	$(INSTALL_DATA) README.txt $(DISTDIR)
	$(INSTALL_DATA) LICENSE.txt $(DISTDIR)
	$(INSTALL_DATA) $(LIBRARY_NAME)-meta.pd  $(DISTDIR)
	test -z "$(strip $(ALLSOURCES))" || \
		$(INSTALL_DATA) $(ALLSOURCES)  $(DISTDIR)
	test -z "$(strip $(PDOBJECTS))" || \
		$(INSTALL_DATA) $(PDOBJECTS)  $(DISTDIR)
	test -z "$(strip $(HELPPATCHES))" || \
		$(INSTALL_DATA) $(HELPPATCHES) $(DISTDIR)
	test -z "$(strip $(EXTRA_DIST))" || \
		$(INSTALL_DATA) $(EXTRA_DIST)    $(DISTDIR)
	test -z "$(strip $(EXAMPLES))" || \
		$(INSTALL_DIR) $(DISTDIR)/examples && \
		for file in $(EXAMPLES); do \
			$(INSTALL_DATA) examples/$$file $(DISTDIR)/examples; \
		done
	test -z "$(strip $(MANUAL))" || \
		$(INSTALL_DIR) $(DISTDIR)/manual && \
		for file in $(MANUAL); do \
			$(INSTALL_DATA) manual/$$file $(DISTDIR)/manual; \
		done
	tar --exclude-vcs -czpf $(DISTDIR).tar.gz $(DISTDIR)

# make a Debian source package
dpkg-source:
	debclean
	make distclean dist
	mv $(DISTDIR) $(ORIGDIR)
	tar --exclude-vcs -czpf ../$(ORIGDIR).orig.tar.gz $(ORIGDIR)

=== debian/changelog ===
pd-jmmmp (0.1.1-2) unstable; urgency=medium

  [ Hans-Christoph Steiner ]
  * Ignore .pc since this uses 3.0 (quilt) format
  * Added pkg-multimedia suggested options to get patches to unapply
  * Added Vcs-* lines
  * Depends: puredata-core | pd, so the depends is not only on a virtual package
  * Removed leading article from synopsis
  * Updated to copyright-format/1.0

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Simplified & unified d/rules
    * Bumped dh compat to 11
    * Enabled hardening
  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
    * Added myself to Uploaders
  * Switched URLs to https://
  * Updated d/copyright(_hints)
  * Removed trailing whitespace in debian/*
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:16:16 +0100

pd-jmmmp (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #591840)

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 29 Dec 2010 15:57:29 -0500

=== debian/control ===
Source: pd-jmmmp
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Hans-Christoph Steiner <hans@eds.org>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper (>=11~),
Standards-Version: 4.1.3
Homepage: https://puredata.info
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-jmmmp.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-jmmmp

Package: pd-jmmmp
Architecture: all
Depends:
 ${shlibs:Depends},
 puredata-core | pd,
 pd-libdir,
 pd-zexy,
 ${misc:Depends},
Recommends:
 pd-import,
Description: collection of Pd GUI objects for musical performance
 jmmmp is a collection of Pure Data GUI objects for musical
 performance, including controlling the DAC, volume, debugging,
 linking up with other programs, etc.
 .
  * array-edit - edit properties of arrays
  * but - Monochrome bang button
  * clock - Chronometer with display in seconds
  * dacm~ - Mono dac~ for lazy people
  * datei-o - Sends the message "open ../../"
  * datei-r - Sends the message "read ../../"
  * datei-w - Sends the message "write ../../"
  * dsp01 - DSP switch
  * f+ - Counter with variable increment
  * gui-edit - edit standard GUI objects fast
  * lbang - loadbang which can be triggered more often
  * liner~ - practical implementation of [line~]
  * liner+~ - practical implementation of signal envelopping
  * mat~ - Level meter with amplitude control
  * maat~ - Level meter with amplitude control, stereo
  * met~ - Level meter with amplitude control, with VU
  * metrum - Metro with GUI
  * m-i - Automatic conversion of MIDI controller
  * mk - shows the controller number and MIDI value
  * oscD - Counts received OSC messages
  * oscS - Interface for sendOSC
  * pd-colors - Pd color palettes (Data Structures + Tcl/Tk)
  * rec-name - Automatic naming for a record/playback engine
  * sguigot - spigot GUI implementation
  * sliders - GUI for incoming midi data
  * snaps~ - snapshot~ GUI implementation
  * spectrogram~ - Spectrogram with 512 bins resolution
  * stoppuhr - Chronometer with two layers
  * tastin - Gate for keyboard input
  * uhr - Shows the time

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2010 Hans-Christoph Steiner <hans@eds.org>
# Copyright © 2018 IOhannes m zmölnig <umlaeute@debian.org>

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	^\./\.git/.*|\./debian/|\./examples/.*\.gif|\./examples/.*\.png$

pkglibdir = /usr/lib/pd/extra

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- \
		arch.flags="" \
		CPPFLAGS="$(CPPFLAGS)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS) -Wl,-as-needed" \
		$(empty)

override_dh_auto_install:
	dh_auto_install -- prefix=/usr pkglibdir=$(pkglibdir)
# fix permissions
	find $(CURDIR)/debian/*/$(pkglibdir) -name "*.pd_linux" -exec \
		chmod 0664 {} +

licensecheck:
	licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
version=3
https://sf.net/pure-data/jmmmp-(.*)\.tar\.gz

## pd-jmmmp 0.61

=== debian/changelog ===
pd-jmmmp (0.61-2) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Demote Depends:pd-zexy to Recommends
  * Update long description

  [ Debian Janitor ]
  * Update lintian override info to new format on line 3, 9-45.
  * Set upstream metadata fields: Archive, Bug-Database.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Dec 2022 10:40:40 +0100

pd-jmmmp (0.61-1) unstable; urgency=medium

  * New upstream version 0.61

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Manually install all the files
  * Update dependencies (via Recommends)
  * Simplify lintian-overrides
  * Update dates in d/copyright
  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Update d/watch to use deken
  * Apply 'wrap-and-sort -ast'

  [ Debian Janitor ]
  * Update lintian override info to new format on line 3, 9-45.
  * Set upstream metadata fields: Archive, Bug-Database.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 27 Nov 2022 00:47:49 +0100

pd-jmmmp (0.1.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Removed Hans-Christoph Steiner from Uploaders as he requested
  * Add salsa-ci configuration
  * Remove obsolete file d/source/local-options
  * Declare that building this package does not require 'root' powers.
  * Apply "warp-and-sort -ast"
  * Bump dh-compat to 13
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Sep 2022 13:46:20 +0200

=== debian/control ===
Source: pd-jmmmp
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://puredata.info
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-jmmmp.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-jmmmp

Package: pd-jmmmp
Architecture: all
Depends:
 puredata-core | pd,
 ${misc:Depends},
Recommends:
 gem,
 pd-ableton-link,
#pd-ceammc,
 pd-cyclone,
 pd-ext13,
 pd-ggee,
 pd-iemlib,
 pd-iemmatrix,
 pd-iemutils,
 pd-list-abs,
 pd-maxlib,
 pd-mrpeach,
 pd-zexy,
Suggests:
 pd-libdir,
Description: collection of Pd GUI objects for musical performance
 jmmmp is a collection of Pure Data GUI objects for musical
 performance, including controlling the DAC, volume, debugging,
 linking up with other programs, etc.
 .
  * Granulator - Pure Data port of Robert Henke's Granulator
  * appent - like [list append], but trims the 'list' selector from the result
  * prepent - like [list prepend], but trims the 'list' selector from the result
  * array-edit - edit properties of arrays
  * bezier - Transfer function GUI with one cubic bézier curve
  * bezier~ - Transfer function GUI with one cubic bézier curve (signal version)
  * but - Monochrome bang button
  * butt - Color-changing Toggle Button
  * cellblock - numeric grid
  * change-symbol - like vanilla's [change], but for symbols
  * clock - Chronometer with display in seconds
  * dacc~ - dynamic dac~ outlet up to 32 channels
  * dacm~ - Mono dac~ for lazy people
  * datei-o - Sends the message "open ../../"
  * datei-r - Sends the message "read ../../"
  * datei-w - Sends the message "write ../../"
  * ds-color-sel - color selector for data structures
  * dsp01 - DSP switch
  * f+ - Counter with variable increment
  * gui-edit - edit standard GUI objects fast
  * jp.coll - store/edit message collections
  * jp.dbtofad - a vanilla modelling of [iemlib/dbtofad]
  * jp.garble - garble Pd patches
  * jp.list-drip - drips (serializes) a list
  * jp.menu - dropdown menu
  * jp.preset - dropdown preset saver
  * jp.sigtovu~ - ignal to rms converter in VU meter format
  * jp.split-symb-first - split a symbol, using a character as separator
  * jp.split-symb-last - split a symbol, using a character as separator
  * jp.symbol-expand - split a symbol into a list
    with individual elements separated by spaces
  * jp.urn - unrepeated random numbers
  * lbang - loadbang which can be triggered more often
  * liner~ - practical implementation of [line~]
  * liner+~ - practical implementation of signal envelopping
  * m-i - Automatic conversion of MIDI controller
  * mat~ - Level meter with amplitude control
  * mat-~ - Level meter with amplitude control, horizontal
  * maat~ - Stereo Level meter with amplitude control
  * maat-~ - Stereo Level meter with amplitude control, horizontal
  * mat4~ - Level meter with amplitude control, 4 channels
  * mat4-~ - Level meter with amplitude control, 4 channels, horizontal
  * matrixctrl - GUI for [iemmatrix/mtx_*~]
  * metrum - Metro with GUI
  * met~ - Level meter with amplitude control, with VU
  * mk - shows the controller number and MIDI value
  * multiarray - store and operate several graphical arrays
    in one graphical container
  * oscD - Counts received OSC messages
  * oscS - Interface for sendOSC
  * pd-colors - Pd color palettes (Data Structures + Tcl/Tk)
  * pix2canvas - Convert Gem images into canvas
  * rec-name - Automatic naming for a record/playback engine
  * rgb-color - Pick RGB colors for your GUI objects
  * scale - maps an input range to an output range
  * sguigot - spigot GUI implementation
  * shuffle - A no-repeat random number generator. shuffles a number series
  * sliders - GUI for incoming midi data
  * snaps~ - snapshot~ GUI implementation
  * spectrogram~ - Spectrogram with 512 bins resolution
  * stoppuhr - Chronometer with two layers
  * swatch - Pick a color using the hue-saturation chart
  * tastin - Gate for keyboard input
  * uhr - Shows the time

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2022 IOhannes m zmölnig <umlaeute@debian.org>

%:
	dh $@

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        debian/.*|examples/.*\.gif|examples/.*\.png
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
version=4
opts="searchmode=plain,\
	dversionmangle=auto" \
  https://deken.puredata.info/search.tsv?libraries=jmmmp https?://.*/jmmmp-v?@ANY_VERSION@--externals.zip
